//
//  PreventDoubleTapRemoveViewController.m
//  DemoTourApp
//
//  Created by Johannes Luderschmidt on 17.02.15.
//  Copyright (c) 2015 Boards and More GmbH. All rights reserved.
//

#import "PreventDoubleTapRemoveViewController.h"

@interface PreventDoubleTapRemoveViewController ()

@end

@implementation PreventDoubleTapRemoveViewController

-(void)viewDidAppear:(BOOL)animated{
    //fixes an ios8 bug: take care that only the popover is removed after a double-tap on the background (and not the containing popover as well)
    if([[UIDevice currentDevice].systemVersion floatValue] >= 8.0){
        self.popoverPresentationController.delegate = self;
    }
}

- (BOOL)popoverPresentationControllerShouldDismissPopover:(UIPopoverPresentationController *)popoverPresentationController {
    return YES;
}

@end
